Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235601 - fcron requires SMTP daemon?
Summary: fcron requires SMTP daemon?
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fcron
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 18:39 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-14 17:14:29 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-04-07 18:39:06 UTC
Does fcron require an SMTP daemon?  A quick look at the source gives me a
feeling that a simple sendmail command line app/MTA would suffice, so one could
use lighter alternatives to sendmail/exim/postfix, like ssmtp or esmtp.

If that's correct, Requires/BuildRequires smtpdaemon should be replaced with
Requires/BuildRequires /usr/sbin/sendmail (or "MTA" later when sendmail and
esmtp have been fixed to provide it)

Comment 1 Alain Portal 2007-04-11 11:59:10 UTC
During the review, /usr/sbin/sendmail was the first Requires/BuildRequires.
The reviewer, Patrice, told me that smtp daemon was better 
than /usr/sbin/sendmail to allow other MTA like exim/postfix, because it was 
possible that the system don't have sendmail install.

You tell that if a system don't have sendmail install, a /usr/sbin/sendmail 
Requires/BuildRequires would work?
Could that be applied for FC5 and FC6?

Comment 2 Ville Skyttä 2007-04-11 15:10:56 UTC
Yes.  smtpdaemon is actually a worse choice because not all packages which I
think would suffice for fcron provide it (and it is being debated whether even
less packages should actually provide smtpdaemon than nowadays).  See recent
discussion on fedora-devel-list.

$ repoquery --whatprovides /usr/sbin/sendmail
postfix-2:2.3.3-2.x86_64
sendmail-0:8.13.8-2.x86_64
esmtp-0:0.5.1-13.fc6.x86_64
exim-0:4.63-5.fc6.x86_64
ssmtp-0:2.61-11.1.fc6.x86_64


Comment 3 Ville Skyttä 2007-04-11 15:12:20 UTC
(Oh, and please disregard the last parenthesized "MTA" sentence of the initial
comment at least for now.)

Comment 4 Patrice Dumas 2007-04-11 18:26:03 UTC
(In reply to comment #1)
> During the review, /usr/sbin/sendmail was the first Requires/BuildRequires.
> The reviewer, Patrice, told me that smtp daemon was better 

Not quite. The first Requires/BuildRequires was sendmail. So
smtpdaemon was better but still safe. But it may be that fcron
only requires 
/usr/sbin/sendmail

Comment 5 Alain Portal 2007-04-12 17:02:58 UTC
Fixed, but unable to build because cannot connected to the build server.
/usr/bin/plague-client build fcron fcron-3_0_2-2_fc7 devel
Error connecting to build server: '(111, 'Connection refused')'
make: *** [build] Erreur 1

Server or client problem?

Comment 6 Ville Skyttä 2007-04-12 18:25:33 UTC
Probably a server one, just try again later.

Comment 7 Alain Portal 2007-04-13 13:30:05 UTC
I tried several times, but always failed to connect.
I'll do next week on the computer where I used to contrib on Fedora.


Comment 8 Alain Portal 2007-04-14 17:14:29 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.